<div class="card w-p-80 h-center m-t-25 m-b-25">
  <div class="card-body">
    <h1 class="card-title text-center m-t-15 text-uppercase">
      <strong>{{ item.name }}</strong>
    </h1>
    <form>
      <div class="form-group">
        <label for="name">Name</label>
        <input disabled class="form-control" [(ngModel)]="item.name" name="name" id="name">
      </div>
      <div class="form-group">
        <label for="purchaseDate">Purchase Date</label>
        <input disabled class="form-control" [(ngModel)]="item.purchaseDate" name="purchaseDate" id="purchaseDate">
      </div>
      <div class="form-group">
        <label for="updated">Date Updated</label>
        <input disabled class="form-control" [(ngModel)]="item.updated" name="updated" id="updated">
      </div>  
      <div class="form-group">
        <label for="created">Date Created</label>
        <input disabled class="form-control" [(ngModel)]="item.created" name="created" id="created">
      </div>
      <div class="form-group">
        <label for="name">Status</label>
        <input disabled class="form-control" [(ngModel)]="item.status" name="status" id="status">
      </div>
              
      <div class="text-right">
        <button class="btn btn-primary m-r-5" type="button" [routerLink]="['/items/index']">Go Back</button>
        <button class="btn btn-primary btn-raised m-r-5" type="button" (click)="unreserve()">Unreserve</button>        
        <button class="btn btn-primary btn-raised" type="button" (click)="routeReserve()">Reserve</button>    
      </div>

      <table class="table m-t-25">
        <thead>
          <tr>
            <th scope="col">Reservee</th>
            <th scope="col">Start Date</th>
            <th scope="col">End Date</th>
          </tr>
        </thead>
        <tbody *ngFor="let reservation of item.reservations">
          <tr>
            <td>{{ reservation.reservee }}</td>
            <td>{{ reservation.startDate }}</td>
            <td>{{ reservation.endDate }}</td>
          </tr>
        </tbody>
      </table>
    </form>  
  </div>
</div>
